## ironic 12.1.0

=== debian/changelog ===
ironic (1:12.1.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 17 Jul 2019 16:13:40 +0200

ironic (1:12.1.0-2) experimental; urgency=medium

  * d/control:
      - Bump openstack-pkg-tools to version 99
      - Add me to uploaders field
  * d/copyright: Add me to copyright file

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 03 May 2019 17:12:34 +0200

ironic (1:12.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed Fix_async_keyword_for_Python.patch applied upstream.
  * Removed python3- prefix when calling config generator.

 -- Thomas Goirand <zigo@debian.org>  Fri, 29 Mar 2019 22:01:30 +0100

=== debian/control ===
Source: ironic
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 99~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 python3-amqplib,
 python3-automaton,
 python3-babel,
 python3-bashate,
 python3-cinderclient,
 python3-coverage,
 python3-doc8,
 python3-dracclient,
 python3-eventlet,
 python3-fixtures,
 python3-futurist,
 python3-glanceclient,
 python3-hacking,
 python3-ironic-inspector-client,
 python3-ironic-lib (>= 2.15.0),
 python3-iso8601,
 python3-jinja2,
 python3-jsonpatch,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-mock,
 python3-mysqldb,
 python3-neutronclient,
 python3-openstackdocstheme <!nodoc>,
 python3-openstacksdk (>= 0.22.0),
 python3-os-api-ref,
 python3-os-traits,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.reports,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-oslotest,
 python3-osprofiler,
 python3-pecan,
 python3-pil,
 python3-proliantutils,
 python3-psutil,
 python3-psycopg2,
 python3-pyghmi,
 python3-pygments,
 python3-pymysql,
 python3-pysnmp4,
 python3-requests,
 python3-retrying,
 python3-rfc3986,
 python3-scciclient,
 python3-sendfile,
 python3-six,
 python3-sphinxcontrib-pecanwsme <!nodoc>,
 python3-sphinxcontrib.apidoc <!nodoc>,
 python3-sphinxcontrib.seqdiag <!nodoc>,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-sushy (>= 1.6.0),
 python3-swiftclient,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-tooz,
 python3-tz,
 python3-webob,
 python3-webtest,
 python3-wsme,
Build-Conflicts:
 python-pysqlite2,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/openstack-team/services/ironic
Vcs-Git: https://salsa.debian.org/openstack-team/services/ironic.git
Homepage: https://github.com/openstack/ironic

Package: ironic-api
Architecture: all
Depends:
 adduser,
 ironic-common (= ${binary:Version}),
 python3-openstackclient,
 q-text-as-data,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: bare metal hypervisor API for OpenStack - API server
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic API server. The ironic-api service provides a
 RESTful API that supports JSON and XML.

Package: ironic-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 ipmitool,
 python3-ironic (= ${binary:Version}),
 sqlite3,
 sudo,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: bare metal hypervisor API for OpenStack - common files
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic common files.

Package: ironic-conductor
Architecture: all
Depends:
 ipmitool,
 ipxe,
 ironic-common (= ${binary:Version}),
 open-iscsi,
 pxelinux,
 qemu-utils,
 tftpd-hpa,
 xinetd,
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Suggests:
 syslinux,
 syslinux-common,
Description: bare metal hypervisor API for OpenStack - conductor
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic Conductore service. It is used to shield
 database access.

Package: ironic-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: bare metal hypervisor API for OpenStack - doc
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic documentation.

Package: python3-ironic
Architecture: all
Section: python
Depends:
 alembic,
 python3-amqplib,
 python3-automaton,
 python3-cinderclient,
 python3-dracclient,
 python3-eventlet,
 python3-futurist,
 python3-glanceclient,
 python3-ironic-inspector-client,
 python3-ironic-lib (>= 2.15.0),
 python3-jinja2,
 python3-jsonpatch,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-neutronclient,
 python3-openstacksdk (>= 0.22.0),
 python3-os-traits,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.reports,
 python3-oslo.rootwrap,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-osprofiler,
 python3-pbr,
 python3-pecan,
 python3-proliantutils,
 python3-psutil,
 python3-psycopg2,
 python3-pyghmi,
 python3-pymysql,
 python3-pysnmp4,
 python3-requests,
 python3-retrying,
 python3-rfc3986,
 python3-sendfile,
 python3-six,
 python3-sqlalchemy,
 python3-stevedore,
 python3-sushy (>= 1.6.0),
 python3-swiftclient,
 python3-tooz,
 python3-tz,
 python3-webob,
 python3-wsme,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python3-cjson,
Recommends:
 python3-scciclient,
Description: bare metal hypervisor API for OpenStack - Python lib
 Ironic provision bare metal machines instead of virtual machines. It is a fork
 of the Nova Baremetal driver. It is best thought of as a bare metal hypervisor
 API and a set of plugins which interact with the bare metal hypervisors. By
 default, it will use PXE and IPMI in concert to provision and turn on/off
 machines, but Ironic also supports vendor-specific plugins which may implement
 additional functionality.
 .
 This package provides the Ironic Python library.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc,systemd

override_dh_auto_clean:
	python3 setup.py clean
	rm -f debian/ironic-common.config debian/ironic-common.postinst debian/ironic-api.postinst debian/ironic-api.config
	rm -rf doc/build
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ironic-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ironic-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ironic-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func ironic-api.postinst
	pkgos-merge-templates ironic-api ironic endpoint
	pkgos-merge-templates ironic-common ironic db rabbit ksat

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done
	rm -rf $(CURDIR)/debian/tmp/usr/etc

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'ironic\.tests\.unit\.(?!(.*api\.controllers\.v1\.test_chassis\.TestPost\.test_create_chassis_unicode_description.*))'
endif

	mkdir -p $(CURDIR)/debian/ironic-common/usr/share/ironic-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf \
		--wrap-width 140 \
		--namespace ironic \
		--namespace ironic_lib.disk_utils \
		--namespace ironic_lib.disk_partitioner \
		--namespace ironic_lib.metrics \
		--namespace ironic_lib.metrics_statsd \
		--namespace ironic_lib.utils \
		--namespace oslo.db \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace oslo.concurrency \
		--namespace oslo.policy \
		--namespace oslo.log \
		--namespace oslo.service.service \
		--namespace oslo.service.periodic_task \
		--namespace oslo.service.sslutils \
		--namespace osprofiler \
		--namespace keystonemiddleware.auth_token
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf keystone_authtoken ironic
	# We're using python3, the default isn't good, it's using py2.
	pkgos-fix-config-default $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf DEFAULT pybasedir /usr/lib/python3/site-packages/ironic

	# Fix the default httpboot path, some of it is in the postinst
#	pkgos-fix-config-default $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf deploy http_root /var/lib/ironic/httpboot

	# Set some nice defaults
#	pkgos-fix-config-default $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf DEFAULT enabled_boot_interfaces pxe
#	pkgos-fix-config-default $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf DEFAULT enabled_deploy_interfaces iscsi,direct
#	pkgos-fix-config-default $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf DEFAULT default_deploy_interface direct
#	pkgos-fix-config-default $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf DEFAULT enabled_inspect_interfaces inspector
#	pkgos-fix-config-default $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf DEFAULT default_network_interface neutron
#	pkgos-fix-config-default $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf oslo_concurrency lock_path /var/lock/ironic
#	pkgos-fix-config-default $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf pxe tftp_root /srv/tftp
#	pkgos-fix-config-default $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf pxe ipxe_enabled true

	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/ironic-common/usr/share/ironic-common/policy.json \
		--format json \
		--namespace ironic.api

	sed -i 's|#connection=<None>|connection=sqlite:////var/lib/ironic/ironicdb|' $(CURDIR)/debian/ironic-common/usr/share/ironic-common/ironic.conf

	dh_install
	dh_missing --fail-missing

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	if ! PYTHONPATH=$(CURDIR) PYTHON=python3 python3 -m sphinx -a -b html doc/source $(CURDIR)/debian/ironic-doc/usr/share/doc/ironic-doc/html ; then \
		cat /tmp/sphinx-err* ; \
		exit 1 ; \
	fi
	mkdir -p $(CURDIR)/debian/ironic-doc/usr/share/doc/ironic-doc/html/_static
	touch $(CURDIR)/debian/ironic-doc/usr/share/doc/ironic-doc/html/_static/toggle.js
	#rm $(CURDIR)/debian/ironic-doc/usr/share/doc/ironic-doc/html/search.html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## ironic 13.0.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
alembic>=0.8.10 # MIT
automaton>=1.9.0 # Apache-2.0
eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
WebOb>=1.7.1 # MIT
python-cinderclient!=4.0.0,>=3.3.0 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
keystoneauth1>=3.15.0 # Apache-2.0
ironic-lib>=2.17.1 # Apache-2.0
python-swiftclient>=3.2.0 # Apache-2.0
pytz>=2013.6 # MIT
stevedore>=1.20.0 # Apache-2.0
pysendfile>=2.0.0;sys_platform!='win32' # MIT
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.rootwrap>=5.8.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.upgradecheck>=0.1.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
osprofiler>=1.5.0 # Apache-2.0
os-traits>=0.4.0 # Apache-2.0
pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
requests>=2.14.2 # Apache-2.0
rfc3986>=0.3.1 # Apache-2.0
six>=1.10.0 # MIT
jsonpatch!=1.20,>=1.16 # BSD
WSME>=0.9.3 # MIT
Jinja2>=2.10 # BSD License (3 clause)
keystonemiddleware>=4.17.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0
oslo.versionedobjects>=1.31.2 # Apache-2.0
jsonschema>=2.6.0 # MIT
psutil>=3.2.2 # BSD
futurist>=1.2.0 # Apache-2.0
tooz>=1.58.0 # Apache-2.0
openstacksdk>=0.31.2 # Apache-2.0

=== debian/changelog ===
ironic (1:13.0.1-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- James Page <james.page@ubuntu.com>  Fri, 11 Oct 2019 10:22:35 +0100

ironic (1:13.0.0-0ubuntu1) eoan; urgency=medium

  [ Sahid Orentino Ferdjaoui ]
  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

  [ Corey Bryant ]
  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 26 Sep 2019 15:11:46 -0400

ironic (1:12.2.1~b2~git2019080812.b8db11279-0ubuntu1) eoan; urgency=medium

  [ Sahid Orentino Ferdjaoui ]
  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

  [ Corey Bryant ]
  * d/control: Stick with python3-sphinxcontrib-pecanwsme >= 0.8.0 for now.
    The upstream commit for ironic mentions the bump to 0.10.0 was for sphinx
    2.0 and eoan is not there yet.
  * New upstream snapshot for OpenStack Train.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Aug 2019 12:39:39 -0400

ironic (1:12.2.0~b1~git2019061420.a3b875ab2-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.
  * d/copyright: Tidy lintian warnings.

 -- James Page <james.page@ubuntu.com>  Fri, 14 Jun 2019 07:42:59 +0100

ironic (1:12.1.0-0ubuntu1) disco; urgency=medium

  * New upstream point release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 22 Mar 2019 09:15:20 -0400

ironic (1:12.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Wed, 13 Mar 2019 15:39:20 +0000

ironic (1:12.0.0~b1~git2019013031.10bf5d5c2-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Jan 2019 16:13:35 +0000

ironic (1:12.0.0~b1~git2018111912.8bf0d866a-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/fix-async-py37.patch: Dropped. Fixed in upstream snapshot.
  * d/control,rules,python*,d/tests/*: Drop Python 2 support.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 19 Nov 2018 12:57:26 -0500

ironic (1:11.1.0-0ubuntu6) disco; urgency=medium

  * d/p/fix-async-py37.patch: Cherry-pick from upstream master branch to drop
    use of async for variable/parameter names as it is a keyword in Python 3.7.
  * d/rules: Enable py37 unit tests.
  * d/control: Add python(3)-scciclient >= 0.8.0 to (Build-)Depends as it is
    needed for d/p/fix-async-py37.patch.
  * d/tests/ironic-shebangs-py3: Update shebang for Python 3.7.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 05 Nov 2018 14:00:26 -0500

ironic (1:11.1.0-0ubuntu5) cosmic; urgency=medium

  * d/tests/ironic-daemons: Increase timeout before curl as arm64 tests
    are timing out.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 14 Sep 2018 10:42:43 -0400

ironic (1:11.1.0-0ubuntu4) cosmic; urgency=medium

  * d/tests/control: Add curl to Depends to fix arm64/armhf failures.
  * d/tests/ironic-daemons: Add final curl call without --fail option
    to ensure it doesn't fail silently.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 05 Sep 2018 08:07:41 -0400

ironic (1:11.1.0-0ubuntu3) cosmic; urgency=medium

  * Additional support for Python 3:
    - d/control: All common files are installed by ironic-common. Only have
      python(3)-ironic depend on ironic-common. Other packages that used to
      depend on ironic-common now depend on python-ironic | python3-ironic.
    - d/control: Drop python(3)-ironic conflicts on each other.
    - d/python(3)-ironic.postinst: Ensure alternatives priority is 300
      for Py2 and 200 for Py3.
    - d/tests/control: Run Py3 tests first due to alternatives priority.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 27 Aug 2018 14:29:23 -0400

ironic (1:11.1.0-0ubuntu2) cosmic; urgency=medium

  * Add support for Python 3:
    - d/control: Add Py3 BDs and python3-ironic package.
    - d/control: Support Py2 first and Py3 as alternative.
    - d/control: Move all python deps to python(3)-ironic Depends.
    - d/control: Make python(3)-ironic conflict against each other.
    - d/control: Drop obsolete XS-Testsuite: autopkgtest header.
    - d/control, d/tests/*: Enable autopkgtest-pkg-python testsuite.
    - d/rules: Add Py3 support.
    - d/rules: Use pkgos-dh_auto_install as this helps name binaries for
      update-alternatives.
    - d/rules: Skip Py3.7 tests for now until upstream bug is fixed.
    - d/python-ironic.install: Dropped, not needed.
    - d/ironic-*.install: Drop usr/bin/* as pkgos-dh_auto_install handles
      install of those files.
    - d/python(3)-ironic.post*, d/python(3)-ironic.prerm: Add update-alternatives
      to enable correct shebangs for Python binaries.
    - d/tests/*: Enable Py3 tests for ironic daemons and add shebang tests.
    - d/tests/ironic-daemons: Use curl to test API.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 24 Aug 2018 12:30:26 -0400

ironic (1:11.1.0-0ubuntu1) cosmic; urgency=medium

  * New upstream point release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Aug 2018 14:31:35 -0400

ironic (1:10.1.3-0ubuntu1) cosmic; urgency=medium

  * New upstream point release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 20 Jun 2018 10:50:17 -0400

=== debian/control ===
Source: ironic
Section: net
Priority: extra
Maintainer: Chuck Short <zulcss@ubuntu.com>
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 alembic (>= 0.8.10),
 crudini,
 python3-alembic (>= 0.8.10),
 python3-automaton (>= 1.9.0),
 python3-babel (>= 2.3.4),
 python3-bandit (>= 1.1.0),
 python3-bashate (>= 0.5.1),
 python3-cinderclient (>= 1:3.3.0),
 python3-coverage (>= 4.0),
 python3-ddt (>= 1.0.1),
 python3-doc8 (>= 0.6.0),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-futurist (>= 1.2.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-hacking (>= 1.0.0),
 python3-ironic-lib (>= 2.17.1),
 python3-ironicclient (>= 1.14.0),
 python3-iso8601 (>= 0.1.11),
 python3-jinja2 (>= 2.10),
 python3-jsonpatch (>= 1.16),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.15.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-mock (>= 3.0.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-openstackdocstheme (>= 1.20.0),
 python3-openstacksdk (>= 0.31.2),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-os-traits (>= 0.4.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 0.1.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-oslosphinx (>= 4.7.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.5.0),
 python3-paramiko (>= 2.0),
 python3-pecan (>= 1.0.0),
 python3-psutil (>= 3.2.2),
 python3-psycopg2 (>= 2.7.3),
 python3-pygments (>= 2.2.0),
 python3-pymysql (>= 0.7.6),
 python3-reno (>= 2.5.0),
 python3-requests (>= 2.14.2),
 python3-retrying (>= 1.2.3),
 python3-rfc3986 (>= 0.3.1),
 python3-scciclient (>= 0.8.0),
 python3-sendfile (>= 2.0.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-sphinxcontrib-pecanwsme (>= 0.8.0),
 python3-sphinxcontrib.seqdiag (>= 0.8.4),
 python3-sphinxcontrib.svg2pdfconverter (>= 1.0.1),
 python3-sqlalchemy (>= 1.0.10),
 python3-stestr (>= 1.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-tooz (>= 1.58.0),
 python3-tz (>= 2013.6),
 python3-webob (>= 1:1.7.1),
 python3-webtest (>= 2.0.27),
 python3-wsme (>= 0.9.3),
Standards-Version: 4.1.2
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ironic
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ironic
Testsuite: autopkgtest-pkg-python

Package: ironic-api
Architecture: all
Depends:
 python3-ironic (= ${binary:Version}),
 ${misc:Depends},
Description: Openstack bare metal provisioning service - API
 Ironic is an Incubated OpenStack project which aims to provision
 bare metal machines instead of virtual machines, forked from the
 Nova Baremetal driver. It is best thought of as a bare metal
 hypervisor **API** and a set of plugins which interact with
 the bare metal hypervisors. By default, it will use PXE and IPMI
 in concert to provision and turn on/off machines, but Ironic
 also supports vendor-specific plugins which may implement additional
 functionality.
 .
 This package contains the API.

Package: ironic-conductor
Architecture: all
Depends:
 ipmitool (>= 1.8.12),
 python3-ironic (= ${binary:Version}),
 ${misc:Depends},
Description: Openstack bare metal provisioning service - conductor
 Ironic is an Incubated OpenStack project which aims to provision
 bare metal machines instead of virtual machines, forked from the
 Nova Baremetal driver. It is best thought of as a bare metal
 hypervisor **API** and a set of plugins which interact with
 the bare metal hypervisors. By default, it will use PXE and IPMI
 in concert to provision and turn on/off machines, but Ironic
 also supports vendor-specific plugins which may implement additional
 functionality.
 .
 This package contains the conductor.

Package: python3-ironic
Architecture: all
Depends:
 alembic (>= 0.8.10),
 ironic-common (= ${binary:Version}),
 python3-alembic (>= 0.8.10),
 python3-automaton (>= 1.9.0),
 python3-cinderclient (>= 1:3.3.0),
 python3-eventlet (>= 0.18.2),
 python3-futurist (>= 1.2.0),
 python3-glanceclient (>= 1:2.8.0),
 python3-ironic-lib (>= 2.17.1),
 python3-jinja2 (>= 2.10),
 python3-jsonpatch (>= 1.16),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.15.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-openstacksdk (>= 0.31.2),
 python3-os-traits (>= 0.4.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.rootwrap (>= 5.8.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 0.1.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-osprofiler (>= 1.5.0),
 python3-paramiko (>= 2.0),
 python3-pbr (>= 2.0.0),
 python3-pecan (>= 1.0.0),
 python3-psutil (>= 3.2.2),
 python3-pygments (>= 2.2.0),
 python3-pymysql (>= 0.6.2),
 python3-requests (>= 2.14.2),
 python3-retrying (>= 1.2.3),
 python3-rfc3986 (>= 0.3.1),
 python3-scciclient (>= 0.8.0),
 python3-sendfile (>= 2.0.0),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stevedore (>= 1:1.20.0),
 python3-swiftclient (>= 1:3.2.0),
 python3-tooz (>= 1.58.0),
 python3-tz (>= 2013.6),
 python3-webob (>= 1:1.7.1),
 python3-wsme (>= 0.9.3),
 ${misc:Depends},
 ${python3:Depends},
Description: Openstack bare metal provisioning service - Python 3 library
 Ironic is an Incubated OpenStack project which aims to provision
 bare metal machines instead of virtual machines, forked from the
 Nova Baremetal driver. It is best thought of as a bare metal
 hypervisor **API** and a set of plugins which interact with
 the bare metal hypervisors. By default, it will use PXE and IPMI
 in concert to provision and turn on/off machines, but Ironic
 also supports vendor-specific plugins which may implement additional
 functionality.
 .
 This package contains the Python 3 libraries.

Package: ironic-common
Architecture: all
Depends:
 adduser,
 psmisc,
 ${misc:Depends},
Breaks:
 ironic-api (<< 1:11.1.0-0ubuntu3~),
 ironic-conductor (<< 1:11.1.0-0ubuntu3~),
Replaces:
 ironic-api (<< 1:11.1.0-0ubuntu3~),
 ironic-conductor (<< 1:11.1.0-0ubuntu3~),
Description: Openstack bare metal provisioning service - daemons
 Ironic is an Incubated OpenStack project which aims to provision
 bare metal machines instead of virtual machines, forked from the
 Nova Baremetal driver. It is best thought of as a bare metal
 hypervisor **API** and a set of plugins which interact with
 the bare metal hypervisors. By default, it will use PXE and IPMI
 in concert to provision and turn on/off machines, but Ironic
 also supports vendor-specific plugins which may implement additional
 functionality.
 .
 This package contains the common files.

=== debian/tests/control ===
Tests: ironic-daemons
Depends: ironic-api, ironic-conductor, curl
Restrictions: needs-root

## ironic 14.0.0

=== debian/changelog ===
ironic (1:14.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 14 Feb 2020 12:17:57 -0500

ironic (1:14.0.0~b1~git2019121713.76597ca93-0ubuntu2) focal; urgency=medium

  * d/tests/control,ironic-daemons: Use MySQL for autopkgtest tests.

 -- James Page <james.page@ubuntu.com>  Tue, 11 Feb 2020 11:31:04 +0000

ironic (1:14.0.0~b1~git2019121713.76597ca93-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules, d/compat, d/ironic-common.install: Switch to
    debhelper compat 12 and pybuild.
  * d/rules: Update PBR_VERSION to handle ~git versioning.
  * d/p/skip-py3-failure.patch: Skip py37/38 failure until fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 17 Dec 2019 13:18:26 -0500

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,9 @@
 Priority: extra
 Maintainer: Chuck Short <zulcss@ubuntu.com>
 Build-Depends:
- debhelper (>= 10~),
+ debhelper-compat (= 12),
  dh-python,
  openstack-pkg-tools (>= 85ubuntu3~),
- python-all,
- python-pbr (>= 2.0.0),
- python-setuptools,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
@@ -41,14 +38,14 @@
  python3-mock (>= 3.0.0),
  python3-neutronclient (>= 1:6.7.0),
  python3-openstackdocstheme (>= 1.20.0),
- python3-openstacksdk (>= 0.31.2),
+ python3-openstacksdk (>= 0.37.0),
  python3-os-api-ref (>= 1.4.0),
  python3-os-testr (>= 1.0.0),
  python3-os-traits (>= 0.4.0),
  python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.context (>= 1:2.19.2),
- python3-oslo.db (>= 4.27.0),
+ python3-oslo.db (>= 4.40.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
  python3-oslo.messaging (>= 5.29.0),
@@ -59,7 +56,7 @@
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.service (>= 1.24.0),
  python3-oslo.upgradecheck (>= 0.1.0),
- python3-oslo.utils (>= 3.33.0),
+ python3-oslo.utils (>= 3.38.0),
  python3-oslo.versionedobjects (>= 1.31.2),
  python3-oslosphinx (>= 4.7.0),
  python3-oslotest (>= 1:3.2.0),
@@ -80,7 +77,7 @@
  python3-sphinxcontrib.apidoc (>= 0.2.0),
  python3-sphinxcontrib-pecanwsme (>= 0.8.0),
  python3-sphinxcontrib.seqdiag (>= 0.8.4),
- python3-sphinxcontrib.svg2pdfconverter (>= 1.0.1),
+ python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
  python3-sqlalchemy (>= 1.0.10),
  python3-stestr (>= 1.0.0),
  python3-stevedore (>= 1:1.20.0),
@@ -151,12 +148,12 @@
  python3-keystoneauth1 (>= 3.15.0),
  python3-keystonemiddleware (>= 4.17.0),
  python3-neutronclient (>= 1:6.7.0),
- python3-openstacksdk (>= 0.31.2),
+ python3-openstacksdk (>= 0.37.0),
  python3-os-traits (>= 0.4.0),
  python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.context (>= 1:2.19.2),
- python3-oslo.db (>= 4.27.0),
+ python3-oslo.db (>= 4.40.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
  python3-oslo.messaging (>= 5.29.0),
@@ -167,7 +164,7 @@
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.service (>= 1.24.0),
  python3-oslo.upgradecheck (>= 0.1.0),
- python3-oslo.utils (>= 3.33.0),
+ python3-oslo.utils (>= 3.38.0),
  python3-oslo.versionedobjects (>= 1.31.2),
  python3-osprofiler (>= 1.5.0),
  python3-paramiko (>= 2.0),

## ironic 14.0.1~git2020041013.af9e6ba90

=== requirements.txt ===
--- 
+++ 
@@ -19,23 +19,20 @@
 oslo.concurrency>=3.26.0 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0
 oslo.context>=2.19.2 # Apache-2.0
-oslo.db>=4.27.0 # Apache-2.0
+oslo.db>=4.40.0 # Apache-2.0
 oslo.rootwrap>=5.8.0 # Apache-2.0
-oslo.i18n>=3.15.3 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
 oslo.middleware>=3.31.0 # Apache-2.0
 oslo.policy>=1.30.0 # Apache-2.0
-oslo.reports>=1.18.0 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
 oslo.upgradecheck>=0.1.0 # Apache-2.0
-oslo.utils>=3.33.0 # Apache-2.0
+oslo.utils>=3.38.0 # Apache-2.0
 osprofiler>=1.5.0 # Apache-2.0
 os-traits>=0.4.0 # Apache-2.0
 pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
 requests>=2.14.2 # Apache-2.0
 rfc3986>=0.3.1 # Apache-2.0
-six>=1.10.0 # MIT
 jsonpatch!=1.20,>=1.16 # BSD
 WSME>=0.9.3 # MIT
 Jinja2>=2.10 # BSD License (3 clause)
@@ -47,4 +44,4 @@
 psutil>=3.2.2 # BSD
 futurist>=1.2.0 # Apache-2.0
 tooz>=1.58.0 # Apache-2.0
-openstacksdk>=0.31.2 # Apache-2.0
+openstacksdk>=0.37.0 # Apache-2.0

=== doc/requirements.txt ===
mock>=3.0.0 # BSD
openstackdocstheme>=1.31.2 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2 # BSD
sphinxcontrib-apidoc>=0.2.0  # BSD
sphinxcontrib-pecanwsme>=0.10.0 # Apache-2.0
sphinxcontrib-seqdiag>=0.8.4 # BSD
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD

=== debian/changelog ===
ironic (1:14.0.1~git2020041013.af9e6ba90-0ubuntu2) focal; urgency=medium

  * d/tests/ironic-daemons: increase sleep time between API http checks
    to allow more time for service to start, avoiding races on slower
    architectures.

 -- James Page <james.page@ubuntu.com>  Fri, 17 Apr 2020 09:57:51 +0100

ironic (1:14.0.1~git2020041013.af9e6ba90-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/ironic-common.postinst: Set ownership and permissions for all /var/lib
    files and directories.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Apr 2020 13:07:22 -0400

ironic (1:14.0.1~git2020032415.de2d907fc-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/ironic-common.postinst: Set default ownership and permissions for
    /etc/<pkg>, /var/lib/<pkg>, and /var/log/<pkg> (LP: #1859422).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 24 Mar 2020 15:12:51 -0400

=== debian/control ===
--- 
+++ 
@@ -37,7 +37,7 @@
  python3-keystonemiddleware (>= 4.17.0),
  python3-mock (>= 3.0.0),
  python3-neutronclient (>= 1:6.7.0),
- python3-openstackdocstheme (>= 1.20.0),
+ python3-openstackdocstheme (>= 1.31.2),
  python3-openstacksdk (>= 0.37.0),
  python3-os-api-ref (>= 1.4.0),
  python3-os-testr (>= 1.0.0),

## ironic 15.0.0

=== requirements.txt ===
--- 
+++ 
@@ -3,14 +3,14 @@
 # process, which may cause wedges in the gate later.
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
-alembic>=0.8.10 # MIT
+alembic>=0.9.6 # MIT
 automaton>=1.9.0 # Apache-2.0
 eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
 WebOb>=1.7.1 # MIT
 python-cinderclient!=4.0.0,>=3.3.0 # Apache-2.0
 python-neutronclient>=6.7.0 # Apache-2.0
 python-glanceclient>=2.8.0 # Apache-2.0
-keystoneauth1>=3.15.0 # Apache-2.0
+keystoneauth1>=3.18.0 # Apache-2.0
 ironic-lib>=2.17.1 # Apache-2.0
 python-swiftclient>=3.2.0 # Apache-2.0
 pytz>=2013.6 # MIT

=== debian/changelog ===
ironic (1:15.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  [ Chris MacNaughton ]
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/control: Align (Build-)Depends with upstream.
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked from
    https://review.opendev.org/#/c/725857. This fixes neutron service failures
    with Python 3.8 (LP: #1863021).

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 May 2020 13:06:46 -0400

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
  python3-setuptools,
  python3-sphinx (>= 1.6.2),
 Build-Depends-Indep:
- alembic (>= 0.8.10),
+ alembic (>= 0.9.6),
  crudini,
- python3-alembic (>= 0.8.10),
+ python3-alembic (>= 0.9.6),
  python3-automaton (>= 1.9.0),
  python3-babel (>= 2.3.4),
  python3-bandit (>= 1.1.0),
@@ -33,7 +33,7 @@
  python3-jinja2 (>= 2.10),
  python3-jsonpatch (>= 1.16),
  python3-jsonschema (>= 2.6.0),
- python3-keystoneauth1 (>= 3.15.0),
+ python3-keystoneauth1 (>= 3.18.0),
  python3-keystonemiddleware (>= 4.17.0),
  python3-mock (>= 3.0.0),
  python3-neutronclient (>= 1:6.7.0),
@@ -135,7 +135,7 @@
 Depends:
  alembic (>= 0.8.10),
  ironic-common (= ${binary:Version}),
- python3-alembic (>= 0.8.10),
+ python3-alembic (>= 0.9.6),
  python3-automaton (>= 1.9.0),
  python3-cinderclient (>= 1:3.3.0),
  python3-eventlet (>= 0.18.2),
@@ -145,7 +145,7 @@
  python3-jinja2 (>= 2.10),
  python3-jsonpatch (>= 1.16),
  python3-jsonschema (>= 2.6.0),
- python3-keystoneauth1 (>= 3.15.0),
+ python3-keystoneauth1 (>= 3.18.0),
  python3-keystonemiddleware (>= 4.17.0),
  python3-neutronclient (>= 1:6.7.0),
  python3-openstacksdk (>= 0.37.0),

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export PYBUILD_NAME=ironic

SHELL := /bin/sh -e

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with python3 --buildsystem=pybuild

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	pkgos-dh_auto_test --no-py2
endif

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2
	rm -rf $(CURDIR)/debian/python3-ironic/usr/etc

override_dh_install:
	PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=tools/config/ironic-config-generator.conf
	cp etc/ironic/ironic.conf.sample etc/ironic/ironic.conf
	crudini --set $(CURDIR)/etc/ironic/ironic.conf DEFAULT log_dir /var/log/ironic
	crudini --set $(CURDIR)/etc/ironic/ironic.conf database connection sqlite:////var/lib/ironic/ironic.db
	dh_install
	dh_missing --fail-missing -Xusr/etc

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

override_dh_clean:
	dh_clean
	rm -f debian/*.init debian/*.service debian/*.upstart .testrepository

=== debian/tests/control ===
Tests: ironic-daemons
Depends: ironic-api, ironic-conductor, curl, mysql-server, crudini, rabbitmq-server
Restrictions: needs-root, allow-stderr

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/" \
 http://tarballs.openstack.org/ironic/ ironic-(15\.\d.*)\.tar\.gz

## ironic 16.0.1

=== debian/changelog ===
ironic (1:16.0.1-0ubuntu1~cloud0) focal-victoria; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 16 Oct 2020 13:50:56 +0000

ironic (1:16.0.1-0ubuntu1) groovy; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/watch: Scope to 16.x series.
  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 15 Oct 2020 13:27:13 +0000

ironic (1:16.0.0~b3~git2020091407.235506b00-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Mon, 14 Sep 2020 07:11:40 +0000

ironic (1:16.0.0~b2~git2020073106.5176f98ef-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 31 Jul 2020 06:27:25 +0000

ironic (1:16.0.0~b1~git2020070209.ab358e0b1-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/monkey-patch-original-current-thread.patch: Dropped. Fixed upstream.
  * d/p/skip-py3-failure.patch: Dropped. Fixed upstream.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 02 Jul 2020 09:25:56 -0400

ironic (1:15.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/control: Align (Build-)Depends with upstream.
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked from
    https://review.opendev.org/#/c/725857. This fixes neutron service failures
    with Python 3.8 (LP: #1863021).

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Wed, 13 May 2020 07:35:17 +0000

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,15 @@
 Build-Depends:
  debhelper-compat (= 12),
  dh-python,
- openstack-pkg-tools (>= 85ubuntu3~),
+ openstack-pkg-tools,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
  alembic (>= 0.9.6),
  crudini,
- python3-alembic (>= 0.9.6),
+ python3-alembic (>= 1.4.2),
  python3-automaton (>= 1.9.0),
  python3-babel (>= 2.3.4),
  python3-bandit (>= 1.1.0),
@@ -26,26 +26,26 @@
  python3-fixtures (>= 3.0.0),
  python3-futurist (>= 1.2.0),
  python3-glanceclient (>= 1:2.8.0),
- python3-hacking (>= 1.0.0),
- python3-ironic-lib (>= 2.17.1),
+ python3-hacking (>= 1.1.0),
+ python3-ironic-lib (>= 4.3.0),
  python3-ironicclient (>= 1.14.0),
  python3-iso8601 (>= 0.1.11),
  python3-jinja2 (>= 2.10),
  python3-jsonpatch (>= 1.16),
- python3-jsonschema (>= 2.6.0),
- python3-keystoneauth1 (>= 3.18.0),
+ python3-jsonschema (>= 3.2.0),
+ python3-keystoneauth1 (>= 4.2.0),
  python3-keystonemiddleware (>= 4.17.0),
  python3-mock (>= 3.0.0),
  python3-neutronclient (>= 1:6.7.0),
- python3-openstackdocstheme (>= 1.31.2),
- python3-openstacksdk (>= 0.37.0),
+ python3-openstackdocstheme (>= 2.2.0),
+ python3-openstacksdk (>= 0.48.0),
  python3-os-api-ref (>= 1.4.0),
  python3-os-testr (>= 1.0.0),
  python3-os-traits (>= 0.4.0),
- python3-oslo.concurrency (>= 3.26.0),
+ python3-oslo.concurrency (>= 4.2.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.context (>= 1:2.19.2),
- python3-oslo.db (>= 4.40.0),
+ python3-oslo.db (>= 6.0.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
  python3-oslo.messaging (>= 5.29.0),
@@ -64,10 +64,10 @@
  python3-paramiko (>= 2.0),
  python3-pecan (>= 1.0.0),
  python3-psutil (>= 3.2.2),
- python3-psycopg2 (>= 2.7.3),
+ python3-psycopg2 (>= 2.8.5),
  python3-pygments (>= 2.2.0),
- python3-pymysql (>= 0.7.6),
- python3-reno (>= 2.5.0),
+ python3-pymysql (>= 0.8.0),
+ python3-pysnmp4 (>= 4.4.6),
  python3-requests (>= 2.14.2),
  python3-retrying (>= 1.2.3),
  python3-rfc3986 (>= 0.3.1),
@@ -75,24 +75,24 @@
  python3-sendfile (>= 2.0.0),
  python3-six (>= 1.10.0),
  python3-sphinxcontrib.apidoc (>= 0.2.0),
- python3-sphinxcontrib-pecanwsme (>= 0.8.0),
+ python3-sphinxcontrib-pecanwsme (>= 0.10.0),
  python3-sphinxcontrib.seqdiag (>= 0.8.4),
  python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
- python3-sqlalchemy (>= 1.0.10),
+ python3-sqlalchemy (>= 1.2.19),
  python3-stestr (>= 1.0.0),
  python3-stevedore (>= 1:1.20.0),
  python3-swiftclient (>= 1:3.2.0),
  python3-testresources (>= 2.0.0),
  python3-testscenarios (>= 0.4),
  python3-testtools (>= 2.2.0),
- python3-tooz (>= 1.58.0),
+ python3-tooz (>= 2.7.0),
  python3-tz (>= 2013.6),
  python3-webob (>= 1:1.7.1),
  python3-webtest (>= 2.0.27),
  python3-wsme (>= 0.9.3),
-Standards-Version: 4.1.2
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ironic
-Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/ironic
+Standards-Version: 4.5.0
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/ironic
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/ironic
 Testsuite: autopkgtest-pkg-python
 
 Package: ironic-api
@@ -135,25 +135,25 @@
 Depends:
  alembic (>= 0.8.10),
  ironic-common (= ${binary:Version}),
- python3-alembic (>= 0.9.6),
+ python3-alembic (>= 1.4.2),
  python3-automaton (>= 1.9.0),
  python3-cinderclient (>= 1:3.3.0),
  python3-eventlet (>= 0.18.2),
  python3-futurist (>= 1.2.0),
  python3-glanceclient (>= 1:2.8.0),
- python3-ironic-lib (>= 2.17.1),
+ python3-ironic-lib (>= 4.3.0),
  python3-jinja2 (>= 2.10),
  python3-jsonpatch (>= 1.16),
- python3-jsonschema (>= 2.6.0),
- python3-keystoneauth1 (>= 3.18.0),
+ python3-jsonschema (>= 3.2.0),
+ python3-keystoneauth1 (>= 4.2.0),
  python3-keystonemiddleware (>= 4.17.0),
  python3-neutronclient (>= 1:6.7.0),
- python3-openstacksdk (>= 0.37.0),
+ python3-openstacksdk (>= 0.48.0),
  python3-os-traits (>= 0.4.0),
- python3-oslo.concurrency (>= 3.26.0),
+ python3-oslo.concurrency (>= 4.2.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.context (>= 1:2.19.2),
- python3-oslo.db (>= 4.40.0),
+ python3-oslo.db (>= 6.0.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
  python3-oslo.messaging (>= 5.29.0),
@@ -173,16 +173,17 @@
  python3-psutil (>= 3.2.2),
  python3-pygments (>= 2.2.0),
  python3-pymysql (>= 0.6.2),
+ python3-pysnmp4 (>= 4.4.6),
  python3-requests (>= 2.14.2),
  python3-retrying (>= 1.2.3),
  python3-rfc3986 (>= 0.3.1),
  python3-scciclient (>= 0.8.0),
  python3-sendfile (>= 2.0.0),
  python3-six (>= 1.10.0),
- python3-sqlalchemy (>= 1.0.10),
+ python3-sqlalchemy (>= 1.2.19),
  python3-stevedore (>= 1:1.20.0),
  python3-swiftclient (>= 1:3.2.0),
- python3-tooz (>= 1.58.0),
+ python3-tooz (>= 2.7.0),
  python3-tz (>= 2013.6),
  python3-webob (>= 1:1.7.1),
  python3-wsme (>= 0.9.3),

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/" \
 http://tarballs.openstack.org/ironic/ ironic-(16\.\d.*)\.tar\.gz
